---
triple:          'arm64-apple-darwin'
binary-path:     '/Users/jenkins/workspace/Build_JDK25_aarch64_mac_Nightly/build/macosx-aarch64-server-release/support/test/hotspot/jtreg/native/lib/libRecursiveMonitoringThread.dylib'
relocations:
  - { offsetInCU: 0x5E, offset: 0x5E, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.0, symObjAddr: 0x21950, symBinAddr: 0x8058, symSize: 0x0 }
  - { offsetInCU: 0x69, offset: 0x69, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.1, symObjAddr: 0x21954, symBinAddr: 0x805C, symSize: 0x0 }
  - { offsetInCU: 0x74, offset: 0x74, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.2, symObjAddr: 0x21958, symBinAddr: 0x8060, symSize: 0x0 }
  - { offsetInCU: 0x4BCF, offset: 0x4BCF, size: 0x8, addend: 0x0, symName: _Java_nsk_monitoring_share_thread_RecursiveMonitoringThread_nativeRecursiveMethod, symObjAddr: 0xC70, symBinAddr: 0x2D70, symSize: 0x438 }
  - { offsetInCU: 0x509B, offset: 0x509B, size: 0x8, addend: 0x0, symName: _nsk_ltrace, symObjAddr: 0x10A8, symBinAddr: 0x31A8, symSize: 0xB0 }
  - { offsetInCU: 0x5192, offset: 0x5192, size: 0x8, addend: 0x0, symName: __Z15nsk_jni_lverifyiP7JNIEnv_iPKciS2_z, symObjAddr: 0x1158, symBinAddr: 0x3258, symSize: 0x104 }
  - { offsetInCU: 0x52FE, offset: 0x52FE, size: 0x8, addend: 0x0, symName: __ZN7JNIEnv_20CallStaticVoidMethodEP7_jclassP10_jmethodIDz, symObjAddr: 0x125C, symBinAddr: 0x335C, symSize: 0x30 }
  - { offsetInCU: 0x537B, offset: 0x537B, size: 0x8, addend: 0x0, symName: __Z20nsk_jni_lverify_voidP7JNIEnv_PKciS2_z, symObjAddr: 0x128C, symBinAddr: 0x338C, symSize: 0xE0 }
  - { offsetInCU: 0x54AD, offset: 0x54AD, size: 0x8, addend: 0x0, symName: __ZN7JNIEnv_14CallVoidMethodEP8_jobjectP10_jmethodIDz, symObjAddr: 0x136C, symBinAddr: 0x346C, symSize: 0x30 }
  - { offsetInCU: 0x55A9, offset: 0x55A9, size: 0x8, addend: 0x0, symName: _nsk_printf, symObjAddr: 0x17F0, symBinAddr: 0x3838, symSize: 0x28 }
  - { offsetInCU: 0x560C, offset: 0x560C, size: 0x8, addend: 0x0, symName: _nsk_vprintf, symObjAddr: 0x1B94, symBinAddr: 0x3860, symSize: 0xA0 }
  - { offsetInCU: 0x566F, offset: 0x566F, size: 0x8, addend: 0x0, symName: _nsk_lvcomplain, symObjAddr: 0x15E4, symBinAddr: 0x362C, symSize: 0x20C }
  - { offsetInCU: 0x5801, offset: 0x5801, size: 0x8, addend: 0x0, symName: __Z23nsk_jni_check_exceptionP7JNIEnv_PKci, symObjAddr: 0x139C, symBinAddr: 0x349C, symSize: 0x168 }
  - { offsetInCU: 0x5A19, offset: 0x5A19, size: 0x8, addend: 0x0, symName: _nsk_lcomplain, symObjAddr: 0x1504, symBinAddr: 0x3604, symSize: 0x28 }
...
